如何将两个命令合并为 select 个实体并在数量表 table 中添加 属性 组?
How to merge two commands in one, to select entities and add property sets in a quantity schedule table?
我正在尝试将 autocad 命令合并为一个。这些命令用于为计划 table 选择实体并添加 属性 集。
第一个命令是:ScheduleSelectionAdd
第二个命令是:AecAddAllPropSets
到目前为止我的代码:
(defun c:upDateSchedule()
(command "ScheduleSelectionAdd")
(command "AecAddAllPropSets")
(princ)
)
我也试过这个:
(defun c:upDateSchedule()
(command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
(princ)
)
每次它只会将我选择的实体添加到 table 而不会更新我的 属性 集,所以我被卡住了。
TIA
首先获取选择,使用ssget
,然后将选择传递给每个命令,例如:
(defun c:updateschedule ( / sel )
(if (setq sel (ssget "_:L"))
(command
"_.scheduleselectionadd" sel ""
"_.aecaddallpropsets" sel ""
)
)
(princ)
)
此处,:L
模式字符串排除了锁定图层上的对象。
请注意,以上内容假定这些命令只有一个对象选择提示。
我正在尝试将 autocad 命令合并为一个。这些命令用于为计划 table 选择实体并添加 属性 集。
第一个命令是:ScheduleSelectionAdd 第二个命令是:AecAddAllPropSets
到目前为止我的代码:
(defun c:upDateSchedule()
(command "ScheduleSelectionAdd")
(command "AecAddAllPropSets")
(princ)
)
我也试过这个:
(defun c:upDateSchedule()
(command "ScheduleSelectionAdd" "" "AecAddAllPropSets" "")
(princ)
)
每次它只会将我选择的实体添加到 table 而不会更新我的 属性 集,所以我被卡住了。
TIA
首先获取选择,使用ssget
,然后将选择传递给每个命令,例如:
(defun c:updateschedule ( / sel )
(if (setq sel (ssget "_:L"))
(command
"_.scheduleselectionadd" sel ""
"_.aecaddallpropsets" sel ""
)
)
(princ)
)
此处,:L
模式字符串排除了锁定图层上的对象。
请注意,以上内容假定这些命令只有一个对象选择提示。